<?php
require_once( dirname(__FILE__) . '../../../../wp-config.php');
require_once( dirname(__FILE__) . '/functions.php');
header("Content-type: text/css");

global $theme_options, $themename;

$this_theme_options = get_settings( $themename.'_options');

function show_r($array) {
	echo "<table border='1'>\n";
	foreach ($array as $cle => $val) {
		echo "<tr><th>$cle</th><td>";
		if (is_array($val)) show_r($val);
		else echo $val;
		echo "</td></tr>\n";
	}	
	echo "</table>\n";
}

foreach ($theme_options as $value) {
	if ( !array_key_exists($value['id'],$this_theme_options) ) {
		$$value['id'] = $value['std'];
	//	echo $value['id'] ." = ". $value['std'] ."<br>\n";
	}
	else $$value['id'] = $this_theme_options[ $value['id'] ];
}
//show_r($this_theme_options);
?>

body, h1, h2, h3, h4, h5, h6, address, blockquote, dd, dl, hr, p, form{
	margin: 0;
	padding: 0;
}

body{
	font-family: Arial, Helvetica, Verdana, Georgia, Sans-serif;
	font-size: 12px;
	text-align: center;
	vertical-align: top;
	background: #<?php echo $dia_body_background_color; ?> url(<?php echo $dia_body_background_image; ?>) repeat-x;
}

table{
	font-family: Arial, Helvetica, Verdana, Georgia, Sans-serif;
	font-size: 12px;
	text-align: left;
	vertical-align: top;
}

h1, h2, h3, h4, h5, h6{
	font-family: Arial, Helvetica, Verdana, Georgia, Sans-serif;
	font-size: 18px;
	font-weight: normal;
}

a{
	text-decoration: underline;
	color: #<?php echo $dia_link_color; ?>;
}

a:hover{
	text-decoration: none;
}

a img{
	border: 0;
}

address, dl, p{
	padding: 10px 0 5px;
}

blockquote{
	margin: 10px 0 0;
	border-top: 1px solid #ddd;
	background: #f7f7f7;
}

blockquote p{ padding: 10px; }

blockquote blockquote{
	margin: 0 10px;
	background: #fff;
}

code{
	background: #f9f9f9;
}

dd{
	padding: 0 0 0 20px;
}

p img{
	max-width: 100%;
}

img.centered{
	display: block;
	margin-left: auto;
	margin-right: auto;
}

img.alignright{
	padding: 4px;
	margin: 3px 0 2px 10px;
	display: inline;
}

img.alignleft{
	padding: 4px;
	margin: 3px 10px 2px 0;
	display: inline;
}

.alignleft{
	float: left;
}

.alignright{
	float: right;
}

.clear{
	margin: 0;
	padding: 0;
	clear: both;
}

small{
	font-size: 11px;
}

input, textarea{
	font-family: Arial, Helvetica, Georgia, sans-serif;
	font-size: 12px;
	padding: 2px;
}



/* Start Container - Holds everything together. Nothing sits outside of the container. */

#container{
	margin: 0 auto;
	max-width: 95%;
	width:expression(document.body.clientWidth > 960? "95%": "auto" ); 
	min-width: 750px;
	text-align: left;
}

/* End Container */



/* Start Page - Yellow top, white bottom background */

#page{
	float: left;
	width: 100%;
	background: #<?php echo $dia_page_background_color; ?>;
	border:3px ridge #66CCFF;
}

/* End Page */



/* Start Header - Blog Title and Skip Link */
/*
#header{
	display: block;
	margin: 10px 10px 0;
	padding: 9px 10px;
	background: #462217 url(images/bg_header.gif) repeat-x left bottom;
	color: #b76d56;
}

#header a{
	color: #cb7960;
}

.skip{
	float: right;
	line-height: 18px;
}

.skip a{
	padding: 0 26px 1px 0;
	background: url(images/icon_skip_to.gif) no-repeat right top;
}
*/
#header h1{
	font-size:38px; font-weight:bold; 
	text-align:center; 
	vertical-align:middle
}

#header h1, #header h1 a{
	color:#CC0000;
}

#header h1 a{
	text-decoration: none;
}

#header h1 a:hover{
	text-decoration: underline;
}

.description {
	font-size:26px; 
	text-align:center; 
	vertical-align:middle;
}

/* End Header */




/* Start Banner - Be default, the banner is just a background image. */

#banner{
	display: block;
	margin: 10px 10px 0;
	height: 110px;
	overflow: hidden;
	text-align: right;
	background: #<?php echo $dia_banner_background_color; ?> url(<?php echo $dia_banner_background_image; ?>) no-repeat;
}

#banner img{
	margin: 10px 10px 0 0;
}

/* End Banner */




/* Start Horizontal Navigation Menu */

.feed{
	float: left;
	width: 18.75%;
	margin: 10px 0 0 10px;
	display: inline;
	padding: 11px 0;
	background: #<?php echo $dia_sidebar_background_color; ?> url(<?php echo $dia_sidebar_background_image; ?>) no-repeat;
}

.feed a{
	font-family: Georgia, Arial, Helvetica, Sans-serif;
	font-size: 16px;
	font-weight: bold;
	padding: 0 10px 0 36px;
	background: url(images/icon_rss.gif) no-repeat 10px 2px;
}

.nav{
	float: right;
	width: 78.125%;
	margin: 10px 10px 0 0;
	display: inline;
	/* background: #bacc3f url(images/bg_nav.gif) repeat-x left bottom; */
	background-color:#<?php echo $dia_nav_background_color ?>
}

.nav ul{
	margin: 0;
	padding: 0 0 0 9px;
	list-style: none;
	/* background: #bacc3f url(images/bg_nav.gif) repeat-x; */
}

.nav ul li{
	float: left;
	margin: 10px 0 0 1px;
	display: inline;
	background :#<?php echo $dia_navPage_background_color ?>;
}

.nav ul li a{
	display: block;
	padding: 7px 10px 8px;
	/* background: #d2dd87 url(images/bg_nav_li.gif) repeat-x; */
	color: #000;
}

.nav ul li a:hover{
	background: #E0E0FF;
	color: #000;
}

.nav ul li.current_page_item a{
	background: #fff;
}

/* End Horizontal Navigation Menu */




/* Start Content - Wraps the main column and first and second sidebars */

#content{
	margin: 10px 0 0;
}

/* End content */




/* Start Sidebars */

.sidebar{
	float: left;
	width: 180px;
	margin: 0 0 0 10px;
	display: inline;
}

.a{/* the first sidebar */
	float: <?php echo $dia_sidebar_a_float; ?>;
	margin: <?php echo $dia_sidebar_a_margins; ?>;
}

.b{ /* the second sidebar */
	float: <?php echo $dia_sidebar_b_float; ?>;
	margin: <?php echo $dia_sidebar_b_margins; ?>;
}

.sidebar ul{
	margin: 0;
	padding: 0;
	list-style: none;
}

.sidebar ul li{
	margin: 0 0 10px 0;
	background: #<?php echo $dia_sidebar_background_color; ?> url(<?php echo $dia_sidebar_background_image; ?>) no-repeat;
}

.sidebar ul li#search form{
	padding: 0 10px 10px;
}

.sidebar ul li#search form input{
	margin: 10px 0 0;
}

.sidebar ul li#calendar table{
	margin: 0 10px;
}

.sidebar ul li#calendar table caption{
	padding: 10px;
}

.sidebar ul li#calendar table td{
	padding: 3px;
}

.sidebar ul li h2{
	padding: 10px;
	font-size: 16px;
	font-weight: bold;
	background:#<?php echo $dia_sidebarTitle_background_color; ?>;
}

.sidebar ul ul{
	line-height: 18px;
}

.sidebar ul ul li{
	margin: 0;
	padding: 3px;
}

.sidebar li#flickrrss img{
	margin: 5px 0 0 5px;
	width: 74px;
	height: 74px;
}

.sidebar ul ul ul li{
	padding: 10px 0 0 10px;
	background-color: transparent;
	background-image: none;
}

.c{ /* the main column sidebars */
	/* width: 31.5789%; */
}

.c ul li{
	background: #fff;
}

.c ul li h2{
	background: #f7f7f7 url(images/bg_h2_b.gif) repeat-x left bottom;
}

.c ul ul li{
	background: url(images/bg_dotted_b.gif) repeat-x;
}

.d{ /* the bottom sidebars */
	width: 18.75%;
}

.d a{
	color: #fff;
}

.d ul li{
	background: #462115;
}

.d ul li h2{
	background: #321911;
	color: #c5ce88;
}

.d ul ul li{
	background: url(images/bg_dotted_d.gif) repeat-x;
}

/* End Sidebars */




/* Start Main - Where your main content sits */

#main{
	margin: <?php echo $dia_main_column_margins; ?>;
}

/* End Main */



/* Start Posts - Post titles, entries, and postmetadata */

.post{
	margin: 0 0 0 10px;
}

.post h2{
	font-size: 20px;
	padding: 8px 10px;
	background:#<?php echo $dia_postTitle_background_color; ?>;
}

/* End Posts */




/* Start Entries - Text and Titles within the content */

.entry{
	padding: 0 10px 10px;
	font-size: 14px;
	line-height: 24px;
	background: url(images/bg_dotted_b.gif) repeat-x;
}

.entry h1, .entry h2, .entry h3, .entry h4, .entry h5, .entry h6{
	margin: 0;
	padding: 10px 0 5px;
	background-color: transparent;
	background-image: none;
	font-weight: bold;
}

.entry h1{
	font-size: 24px;
	line-height: 30px;
	font-weight: normal;
}

.entry h2{
	font-weight: normal;
}

.entry h3{
	font-size: 16px;
}

.entry h4{
	font-size: 14px;
}

.entry h5{
	font-size: 12px;
}

.entry h6{
	font-size: 11px;
}

/* End Entries */




/* Start Postmetadata - Author, Date, Categories and Comments Number */

p.entrymetadata{
	font-size: 12px;
	line-height: 18px;
	color: #999;
}

p.entrymetadata a{
	color: #888;
}

.comments_number a{
	padding: 0 0 0 26px;
	background: url(images/icon_comment.gif) no-repeat;
}

/* End Postmetadata */




/* Start Previous and Next Links */

.navigation{
	margin: 0 0 0 10px;
	padding: 10px;
	font-size: 14px;
	line-height: 24px;
}

/* End Previous and Next Links */




/* Start Comments Template */

.comments_template{
	margin: 0 0 0 10px;
	padding: 0 0 10px 0;
}

.comments_template p.nocomments, .comments_template p.alert{
	padding: 10px;
	font-size: 14px;
}

.comments_template h3{
	font-size: 20px;
	padding: 8px 10px;
	background: #f7f7f7 url(images/bg_h2_b.gif) repeat-x left bottom;
}

.comments_template form#commentform{
	margin: 0;
	padding: 10px;
	background: #f7f7f7 url(images/bg_dotted_b.gif) repeat-x;
}

.comments_template form#commentform p{
	line-height: 18px;
}

ol.commentlist{
	margin: 10px 0;
	padding: 0;
	list-style: none;
	font-size: 14px;
	line-height: 24px;
}

ol.commentlist cite{
	font-style: normal;
	font-weight: bold;
}

ol.commentlist li{
	padding: 10px;
	background: url(images/bg_dotted_b.gif) repeat-x;
}

ol.commentlist li.alt{
	background: #f7f7f7 url(images/bg_dotted_b.gif) repeat-x;
}

ol.commentlist li.highlighted{
	background: #fcffe5 url(images/bg_dotted_a.gif) repeat-x;
}

.comment-number{ /* for Paged Comments plugin */
	float: right;
	font-family: Georgia, Arial, Verdana, Sans-serif;
	font-size: 18px;
	font-style: italic;
	color: #aaa;
}

/* End Comments Template */




/* Start bottom sidebars */

.secondary_content, .tertiary_content{
	float: left;
	width: 100%;
	padding: 10px 0 0;
	background: #462115 url(images/bg_dotted_c.gif) repeat-x;
	color: #b76d56;
}

.tertiary_content{
	background: #462115 url(images/bg_tertiary_content.gif) repeat-x;
}

/* End bottom sidebars */




/* Start Footer */

#footer{
	padding: 18px 20px;
	line-height: 18px;
	text-align:center;
	background: #<?php echo $dia_page_background_color ?>;
}
/*
#footer a{
	color: #cb7960;
}
*/
#footer .skip a{
	background: url(images/icon_skip_back.gif) no-repeat right;
	padding: 18px 20px;
}

#footer p{
	padding: 0;
	display: inline;
}

/* End Footer */




/* Start Ads */

.ads_468x60{
	margin: 10px 0 5px;
}

.ads_inline{
	padding: 5px;
	display: inline;
}

/* End Ads */